Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05281 Color/Palette Minor Always Sep 5, 2013, 00:40 Sep 8, 2013, 17:03
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Windows XP
Status [?] Resolved Driver 8080bw.cpp
Version 0.149u1 Fixed in Version 0.150 Build Normal
Summary 05281: rollingc: Wrong colors
Description The colors in Rolling Crash / Moon Base are possible wrong by comparing them with the Arcade Flyer at:
http://flyers.arcade-museum.com/?page=flyer&db=videodb&id=6301&image=1


I have added a new get_pens to the video driver for rollingc and the colors looks correct now!
See snapshot to compare the colors of the Arcade Flyer with the new ones and the old ones at the button.
Use diff file to test it!
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems rollingc
Attached Files
png file icon ArcadeFlyer-MAME-new_&_old_colors.png (296,689 bytes) Sep 5, 2013, 00:40 Uploaded by M.A.S.H.
M.A.S.H.
? file icon rollingc.diff (1,469 bytes) Sep 5, 2013, 00:41 Uploaded by M.A.S.H.
[Show Content]
jpg file icon ebay-rollingc.jpg (907,494 bytes) Sep 6, 2013, 15:43 Uploaded by M.A.S.H.
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.09772
hap
Developer
Sep 5, 2013, 10:30
edited on: Sep 5, 2013, 16:57
ok

*edit* flyer suggests the colors differ even more, and even background color.
I'll see what I can do, and if i can't figure it out we'll at least have improved colors with your patch.
User avatar
No.09779
M.A.S.H.
Senior Tester
Sep 6, 2013, 15:43
edited on: Sep 6, 2013, 15:50
Found ROLLING CRASH Cocktail at eBay:
http://www.ebay.co.uk/itm/Vintage-NICHIBUTSU-ROLLING-CRASH-Cocktail-Cabinet-Arcade-Machine-WORKING-Retro-/321195359002?pt=UK_Video_Games_Coin_Operated_MJ&hash=item4ac8bc3b1a&ssPageName=RSS:B:SHOP:GB:101

Upload sceenhots here :)
User avatar
No.09780
hap
Developer
Sep 6, 2013, 16:35
hmm: orange, darkblue, darkgreen are not in 3bpp.
We may be missing a color PROM here then :(
User avatar
No.09783
Stiletto
Developer
Sep 7, 2013, 16:23
I dunno MASH, I don't think the invaders look at all similar in your screenshot.